#ifndef RECORDER_CONFIG_DEFAULTS_H
#define RECORDER_CONFIG_DEFAULTS_H

#include <stdbool.h>
#include <stdint.h>

const char* DEFAULT_RANGE = "10V";
const bool DEFAULT_IQ_MODE = true;
const bool DEFAULT_DC_MODE = false;
const uint32_t DEFAULT_BUFFERSIZE = 10000;
const uint32_t DEFAULT_MAX_BUFFERSIZE = DEFAULT_BUFFERSIZE * 5;
const uint32_t DEFAULT_SAMPLE_INTERVAL = 1000;
const char* DEFAULT_TIME_UNITS = "ns";

#endif